summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2016-12-04 21:29:09 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-12-04 21:29:09 +0700
commitb42942cdb60ac666f22412d1e22d71f59fe1a8bc (patch)
treea13ce1de75668d02e1022262f015346cbe4eaf7b
parentfdd964cc2e5f5b9beba6937bfedf198b1a02e384 (diff)
downloadslackbuilds-b42942cdb60ac666f22412d1e22d71f59fe1a8bc.tar.gz
slackbuilds-b42942cdb60ac666f22412d1e22d71f59fe1a8bc.tar.xz
system/noto-fonts: Added (Googles Noto fonts).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/noto-fonts/README17
-rw-r--r--system/noto-fonts/doinst.sh11
-rw-r--r--system/noto-fonts/noto-fonts.SlackBuild70
-rw-r--r--system/noto-fonts/noto-fonts.info10
-rw-r--r--system/noto-fonts/slack-desc19
5 files changed, 127 insertions, 0 deletions
diff --git a/system/noto-fonts/README b/system/noto-fonts/README
new file mode 100644
index 0000000000..07f20bb997
--- /dev/null
+++ b/system/noto-fonts/README
@@ -0,0 +1,17 @@
+noto-fonts (Googles Noto fonts)
+
+Noto's goal is to provide a beautiful reading experience for all
+languages.
+
+It is a free, professionally-designed, open-source collection of fonts
+with a harmonious look and feel in multiple weights and styles. All
+Noto fonts are published under the SIL Open Font License (OFL) v1.1,
+which allows you to copy, modify, and redistribute them if you need to.
+
+Currently, Noto covers all major languages of the world and many others,
+including European, African, Middle Eastern, Indic, South and Southeast
+Asian, Central Asian, American, and East Asian languages. Several
+minority and historical languages are also supported.
+
+Support for Simplified Chinese, Traditional Chinese, Japanese, and
+Korean was first added in July 2014.
diff --git a/system/noto-fonts/doinst.sh b/system/noto-fonts/doinst.sh
new file mode 100644
index 0000000000..8fec9f5340
--- /dev/null
+++ b/system/noto-fonts/doinst.sh
@@ -0,0 +1,11 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/noto-fonts/noto-fonts.SlackBuild b/system/noto-fonts/noto-fonts.SlackBuild
new file mode 100644
index 0000000000..524f1f4c6c
--- /dev/null
+++ b/system/noto-fonts/noto-fonts.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+#
+# Slackware build script for noto-fonts.
+#
+# Copyright 2016 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=noto-fonts
+VERSION=${VERSION:-20150929}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCVER="2015-09-29-license-adobe"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/v$SRCVER.tar.gz --exclude=hinted/{Arimo*.ttf,Cousine*.ttf,Tinos*.ttf}
+mv $PRGNAM-$SRCVER $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+install -d $PKG/usr/share/fonts/TTF/
+install -m644 hinted/Noto*.ttf $PKG/usr/share/fonts/TTF/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a FAQ.md LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/noto-fonts/noto-fonts.info b/system/noto-fonts/noto-fonts.info
new file mode 100644
index 0000000000..19547e2c16
--- /dev/null
+++ b/system/noto-fonts/noto-fonts.info
@@ -0,0 +1,10 @@
+PRGNAM="noto-fonts"
+VERSION="20150929"
+HOMEPAGE="https://github.com/googlei18n/noto-fonts"
+DOWNLOAD="https://github.com/googlei18n/noto-fonts/archive/v2015-09-29-license-adobe.tar.gz"
+MD5SUM="fc043c92857265622f1f6562a71a81fe"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/system/noto-fonts/slack-desc b/system/noto-fonts/slack-desc
new file mode 100644
index 0000000000..29f324aed3
--- /dev/null
+++ b/system/noto-fonts/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+noto-fonts: noto-fonts (Googles Noto fonts)
+noto-fonts:
+noto-fonts: Noto's goal is to provide a beautiful reading experience for all
+noto-fonts: languages.
+noto-fonts:
+noto-fonts: It is a free, professionally-designed, open-source collection of
+noto-fonts: fonts with a harmonious look and feel in multiple weights and styles.
+noto-fonts: Noto fonts are published under the SIL Open Font License (OFL) v1.1.
+noto-fonts:
+noto-fonts: Home page: https://github.com/googlei18n/noto-fonts
+noto-fonts: